<?php

namespace ISYS\UBRIR;

use UBRIR\Core;
use \UBRIR\GatewayForAdmin;

class OpencartCompatible
{
    public static function GetView($opencartRoute, $data, \Controller $controller)
    {
        //Раньше было так. Однако в 3.0.0 используют twig без возможности использовать старые tpl шаблоны, поэтому теперь так:
        //$viewResult = $controller->load->view($opencartRoute, $data);

        $moduleRootDir = realpath(dirname(__FILE__).'/../');

        if (defined('HTTP_CATALOG')) {
            //страницы административной части
            $prefix = 'admin_';
        } else {
            //Страницы каталога
            $prefix = 'catalog_';
        }

        $templateName = str_replace(Array('/', '\\'), '_', $opencartRoute);

        foreach ($data as $name => $value) {
            ${$name} = $value;
        }

        $viewResult = '';
        ob_start();
        include_once $moduleRootDir.'/views/'.$prefix.$templateName.'.php';
        $viewResult = ob_get_clean();

        foreach ($data as $name => $value) {
            unset(${$name});
        }

        return $viewResult;
    }
}