<?php

namespace UBRIR;

class BitwiseFlag
{
    protected $flags;

    public function isFlagSet($flag)
    {
        return (($this->flags & $flag) == $flag);
    }

    public function setFlag($flag, $value = true)
    {
        if ($value) {
            $this->flags |= $flag;
        } else {
            $this->flags &= ~$flag;
        }
    }
}
