(function () {
    var moduleName = 'Log';

    var _data = {
        'ajaxEntryPointUrl': null,
        'autoRefreshTimer': 0
    };
    var d = {'logMainContainer': null};

    var UBRIR_Admin = window['UBRIR_Admin'];

    var Log = {};
    UBRIR_Admin[moduleName] = Log;

    Log['Init'] = function () {
        d.logMainContainer = document.querySelector('#logMainContainer');

        if (d.logMainContainer != null) {
            Log.ActivateControls();
        }
    };

    Log['Refresh'] = function () {
        UBRIR_Admin.Ajax('get_log', false, Log.Fill);
    };

    Log['CleanClick'] = function () {
        UBRIR_Admin.Ajax('clean_log', false, Log.Refresh);
    };

    Log['ActivateControls'] = function () {
        d.logMainContainer = document.querySelector('#logMainContainer');
        var clearLogBtn = d.logMainContainer.querySelector('.logTabButtons .deleteLog');

        clearLogBtn.onclick = Log.CleanClick;
    };

    Log['Fill'] = function (r) {
        d.logMainContainer.outerHTML = r;

        Log.ActivateControls();
    };

    UBRIR_Admin.connectUbrirSubmodule(moduleName);
})();